# Runs once every tick.
# @s: The game entity.

# Force open dialogue for players at the start of a dialogue chain
execute @a ~ ~ ~ function dialogue_handler/force_open_dialogue

# Set players_num to the number of players currently in the world
scoreboard players set @s players_num 0
execute @a ~ ~ ~ scoreboard players add @e[tag=game] players_num 1

# Set players_reading to the number of players currently reading
scoreboard players set @s players_reading 0
execute @a[tag=reading] ~ ~ ~ scoreboard players add @e[tag=game] players_reading 1

# If there are no longer any players currently reading, advance to the next state
execute @s[tag=reading,scores={players_num=1..,players_reading=0}] ~ ~ ~ function dialogue_handler/players_finished_reading