# Setup scoreboards
kill @e[type=rwm:utility]
summon rwm:utility 86 30 317
tag @e[type=rwm:utility,tag=!init] add game
tag @e[type=rwm:utility,tag=!init] add init

kill @e[type=rwm:unesco_logo]
kill @e[type=rwm:unesco_clock]
kill @e[type=rwm:unesco_banner]
kill @e[type=rwm:unesco_goal]

summon rwm:unesco_logo 86 66 304
summon rwm:unesco_clock 86 69 335
summon rwm:unesco_banner 98 66 330
summon rwm:unesco_banner 93 66 331
summon rwm:unesco_banner 79 66 331
summon rwm:unesco_banner 74 66 330

summon rwm:unesco_goal 71 66 325 goal1
summon rwm:unesco_goal 71 66 320 goal3
summon rwm:unesco_goal 71 66 315 goal5
summon rwm:unesco_goal 71 66 310 goal7
execute @e[type=rwm:unesco_goal,tag=!init] ~ ~ ~ tp @s ~-0.49 ~ ~0.5 270 0
tag @e[type=rwm:unesco_goal] add init

summon rwm:unesco_goal 71 66 325 goal2
summon rwm:unesco_goal 71 66 320 goal4
summon rwm:unesco_goal 71 66 315 goal6
summon rwm:unesco_goal 71 66 310 goal8
execute @e[type=rwm:unesco_goal,tag=!init] ~ ~ ~ tp @s ~-0.49 ~ ~-2 270 0
tag @e[type=rwm:unesco_goal] add init

summon rwm:unesco_goal 101 66 325 goal17
summon rwm:unesco_goal 101 66 320 goal15
summon rwm:unesco_goal 101 66 315 goal13
summon rwm:unesco_goal 101 66 310 goal11
summon rwm:unesco_goal 101 66 305 goal9
execute @e[type=rwm:unesco_goal,tag=!init] ~ ~ ~ tp @s ~0.49 ~ ~1.5 90 0
tag @e[type=rwm:unesco_goal] add init

summon rwm:unesco_goal 101 66 325 goal16
summon rwm:unesco_goal 101 66 320 goal14
summon rwm:unesco_goal 101 66 315 goal12
summon rwm:unesco_goal 101 66 310 goal10
execute @e[type=rwm:unesco_goal,tag=!init] ~ ~ ~ tp @s ~0.49 ~ ~-1 90 0
tag @e[type=rwm:unesco_goal] add init

execute @e[type=rwm:unesco_logo] ~ ~ ~ tp @s ~ ~ ~ 0 0
execute @e[type=rwm:unesco_clock] ~ ~ ~ tp @s ~ ~ ~-0.6 0 0
execute @e[type=rwm:unesco_banner] ~ ~ ~ tp @s ~ ~ ~0.55 180 0

scoreboard objectives remove address
scoreboard objectives remove tick
scoreboard objectives remove var1
scoreboard objectives remove var2
scoreboard objectives remove state

scoreboard objectives add address dummy
scoreboard objectives add tick dummy
scoreboard objectives add var1 dummy
scoreboard objectives add var2 dummy
scoreboard objectives add state dummy

scoreboard players set @e[tag=game] address 0
scoreboard players set @e[tag=game] tick 0
scoreboard players set @e[tag=game] var1 0
scoreboard players set @e[tag=game] var2 0
scoreboard players set @e[tag=game] state 0
scoreboard players set @e[tag=game] players_num 0
scoreboard players set @e[tag=game] players_reading 0
scoreboard players set @e[tag=game] players_confirm 0
scoreboard players set @e[tag=game] open_dialogue 0

function dialogue_handler/init
function login_handler/init

tag @e[type=minecraft:npc] add despawn
tag @e[type=minecraft:npc] remove guide1
tag @e[type=minecraft:npc] remove guide2
tag @e[type=minecraft:npc] remove guide3
tag @e[tag=animalnpc1] add despawn
tag @e[tag=animalnpc2] add despawn
tag @e[tag=animalnpc3] add despawn
tag @e[tag=animalnpc4] add despawn
tag @e[tag=animalnpc5] add despawn
tag @e[tag=animal] add despawn
tag @e[tag=target] add despawn

summon minecraft:npc 90 60 313 npc
tag @e[type=minecraft:npc,tag=!init] add guide1
tag @e[type=minecraft:npc,tag=!init] add init

summon minecraft:npc 10275 135 267 npc
tag @e[type=minecraft:npc,tag=!init] add guide2
tag @e[type=minecraft:npc,tag=!init] add init

summon minecraft:npc 20189 101 465 npc
tag @e[type=minecraft:npc,tag=!init] add guide3
tag @e[type=minecraft:npc,tag=!init] add init

tag @e[tag=guide1] add always_show_name
tag @e[tag=guide2] add always_show_name
tag @e[tag=guide3] add always_show_name
dialogue change @e[tag=guide1] guide1_0
dialogue change @e[tag=guide2] guide2_6
dialogue change @e[tag=guide3] guide3_1

summon panda 86 30 317
summon turtle 86 30 317
summon parrot 86 30 317 minecraft:make_red
summon polar_bear 86 30 317
summon horse 86 30 317 minecraft:make_gray

tag @e[type=panda,tag=!init] add animalnpc1
tag @e[type=turtle,tag=!init] add animalnpc2
tag @e[type=parrot,tag=!init] add animalnpc3
tag @e[type=polar_bear,tag=!init] add animalnpc4
tag @e[type=horse,tag=!init] add animalnpc5

tag @e[type=panda,tag=!init] add npc
tag @e[type=turtle,tag=!init] add npc
tag @e[type=parrot,tag=!init] add npc
tag @e[type=polar_bear,tag=!init] add npc
tag @e[type=horse,tag=!init] add npc

tag @e[type=panda,tag=!init] add init
tag @e[type=turtle,tag=!init] add init
tag @e[type=parrot,tag=!init] add init
tag @e[type=polar_bear,tag=!init] add init
tag @e[type=horse,tag=!init] add init

tag @a remove confirm
tag @a remove visited_build
tag @a remove welcome_message

execute @s 104 60 297 function summon/animal4
titleraw @a actionbar {"rawtext":[{"translate":"actionbar.blank"}]}

summon rwm:utility 10274 137 276
tag @e[type=rwm:utility,tag=!init] add lever
tag @e[type=rwm:utility,tag=!init] add lever1
tag @e[type=rwm:utility,tag=!init] add init

summon rwm:utility 10272 137 276
tag @e[type=rwm:utility,tag=!init] add lever
tag @e[type=rwm:utility,tag=!init] add lever2
tag @e[type=rwm:utility,tag=!init] add init

summon rwm:utility 20188 102 473
tag @e[type=rwm:utility,tag=!init] add lever
tag @e[type=rwm:utility,tag=!init] add lever3
tag @e[type=rwm:utility,tag=!init] add init

summon rwm:utility 20186 102 473
tag @e[type=rwm:utility,tag=!init] add lever
tag @e[type=rwm:utility,tag=!init] add lever4
tag @e[type=rwm:utility,tag=!init] add init
