# Main loop function

execute @e[tag=game] ~ ~ ~ function login_handler/loop
execute @e[tag=game] ~ ~ ~ function dialogue_handler/loop
execute @e[tag=game] ~ ~ ~ function timeline/loop

effect @a saturation 10 0 true

execute @e[tag=goto1] ~ ~ ~ execute @e[tag=target1,r=2] ~ ~ ~ tag @s add despawn
execute @e[tag=goto2] ~ ~ ~ execute @e[tag=target2,r=2] ~ ~ ~ tag @s add despawn
execute @e[tag=goto3] ~ ~ ~ execute @e[tag=target3,r=2] ~ ~ ~ tag @s add despawn

# Welcome message
#execute @p[x=70,y=60,z=302,dx=32,dy=10,dz=20,tag=!welcome_message] ~ ~ ~ scoreboard players set @e[tag=game] tick -150
#execute @p[x=70,y=60,z=302,dx=32,dy=10,dz=20,tag=!welcome_message] ~ ~ ~ tag @s add welcome_message

# Animal interactions
execute @e[tag=target2] ~ ~ ~ execute @e[tag=goto2,r=4] ~ ~ ~ tag @s add interact
execute @e[tag=target3] ~ ~ ~ execute @e[tag=goto3,r=4] ~ ~ ~ tag @s add interact
execute @e[tag=animal,scores={tick=1..}] ~ ~ ~ tp @s ~ ~ ~ ~10 ~
execute @e[tag=animal,scores={tick=1..}] ~ ~ ~ scoreboard players remove @s tick 1

# Entity despawn points
execute @e[tag=game] 67 60 300 tag @e[tag=animal5b,r=4] add despawn

tag @e[tag=guide1] remove nearbyplayer
execute @p ~ ~ ~ tag @e[tag=guide1,r=7] add nearbyplayer
execute @e[tag=game] 100 60 297 tag @e[tag=guide1,tag=!nearbyplayer,r=2] add despawn

# Button/lever controls
execute @e[tag=lever,tag=!selected] ~ ~ ~ detect ~ ~ ~ lever 12 function lever/select
execute @e[tag=lever,tag=selected] ~ ~ ~ detect ~ ~ ~ lever 4 function lever/deselect

# Keep Agent hidden
execute @a ~ ~ ~ kill @e[type=agent]